#!/bin/bash

module load musa

# Application binary name
APPNAME=HPCCG
# Application arguments
ARGS="104 104 104"
# Number of MPI ranks (should be the same as --ntasks)
RANKS=16
# Enable/disable Memory Tracing (default 0)
export MEMORY_MODE=1
# Name of the TaskSim configuration file to be used on simulations: 
export TSMPI_SIM_CONFIG="mn4_musa.conf arm_low_power.conf arm_high_end.conf"
# List of cores per node to be simulated (Later, at the moment we only create the folder structure).
export TSMPI_SIM_CORES="1 2 4 8 16 32 64"


# End of configurable section.

PRCAD=$(printf "%0*d" 6 $RANKS)
if [ $MEMORY_MODE -eq 0 ]; then
  MODECAD="BRST"
else 
  MODECAD="MEMO"
fi
export MUSA_EXP_NAME=TRACE_${APPNAME}_${PRCAD}_${MODECAD}
export PR=$RANKS


create_musa_simulation_env.bash $RANKS $APPNAME $MUSA_EXP_NAME $ARGS
